### Method

# Gio SocketListener set_backlog

since: 2.22

#### Declaration [src]

    void
    g_socket_listener_set_backlog (
      GSocketListener* listener,
      int listen_backlog
    )

#### Description [src]

Sets the listen backlog on the sockets in the listener. This must be called before adding any sockets, addresses or ports to the `GSocketListener` (for example, by calling g_socket_listener_add_inet_port()) to be effective.

See `g_socket_set_listen_backlog()` for details.

Available since: 2.22

#### Parameters

`listen_backlog`

  Type: `int`

  An integer.